/****************************/
//for all sensor CH1,CH2,CH3,S4,S5 I^2C 
//CH1,CH2,CH3,S4 SCL for pressure sensor, S5 SCL for TH02,TH04 sensor
//CH1,CH2,CH3,S4 SDA for pressure sensor, S5 SDA for TH02,TH04 sensor

void Delay_10us(void);
/****************************/
void Delay_10us(void){

	unsigned char n;

	for(n=0;n<1;n++)
	{
		asm("nop");asm("nop");
	}
}
//================================================

void CH1_Start(void)
{   
	CH1_SDA=1;
	Delay_10us();		
	CH1_SCL=1;
  	Delay_10us();
  	
        CH1_SDA=0;
	Delay_10us();		
	CH1_SCL=0;
  	Delay_10us();	
}
//================================================
void CH1_Stop(void)
{
	CH1_SCL=0;
  	Delay_10us();
	CH1_SDA=0;
	Delay_10us();
	CH1_SCL=1;
  	Delay_10us();
	CH1_SDA=1;
	Delay_10us();	
}
//================================================
void CH1_ACK(void)
{
	CH1_SDA=0;
	Delay_10us();
	
	CH1_SCL=1;
  	Delay_10us();
	
	CH1_SCL=0;
  	Delay_10us();
}
//================================================
void CH1_NoAck(void)
{
	CH1_SDA=1;
	Delay_10us();
	
	CH1_SCL=1;
  	Delay_10us();
	
	CH1_SCL=0;
  	Delay_10us();
}
//================================================
uchar CH1_ReadByte(void)
{
	uchar ucValue;
	uchar ucIndex;

    	//CH1_SDA=1;
	//Delay_10us();
    	CH1_SDA_I;	
	//Delay_10us();
	ucValue=0;
	for ( ucIndex = 0; ucIndex < 8; ucIndex++ )
	{		
	        ucValue <<= 1;
                CH1_SCL=0;
  	        Delay_10us();
		
		CH1_SCL=1;
  	        Delay_10us();
                		
                if(CH1_SDA){
                        ucValue |= 1;
                }
                Delay_10us();
                CH1_SCL=0;
  	        Delay_10us();
	
	}
	CH1_SDA_O;
	return ucValue;
}

//================================================
void CH1_WriteByte( uchar ucData )
{
	uchar i;
	for( i = 0; i < 8; i++ )
	{
		CH1_SCL=0;
  	        Delay_10us();
	
		if((ucData & 0x80) == 0x80)
		{ 
			CH1_SDA=1;
	
		}
		else
		{
			CH1_SDA=0;
			Delay_10us();
		}
		Delay_10us();
		
		CH1_SCL=1;
  	        Delay_10us();
		ucData <<= 1;
		CH1_SCL=0;
  	        Delay_10us();
	}
	CH1_SDA_I;	
	Delay_10us();
	CH1_SCL=0;
        Delay_10us();
	CH1_SCL=1;
        Delay_10us();
	CH1_SCL=0;
        Delay_10us();   
        CH1_SDA_O;
	 
} 
/******************************************************/
///////////
/*****************************************************/

