
//function argument

void CPUIO_Init(void);

void TimeAdd(void);
void Timer_Delayxms(uint n);


void TimeAdd(void);
uchar CalCheckSum(uchar Index);
//void putch(unsigned char byte);
void RxDataProc(void);
void SendReturnData(void);
void Delay(uint a);

//et7005
void Write_Data(uchar data1);
void LCD_init(void);
void LCD_FILL(uchar filldata);



void Disp_Digitn(uchar xSeg,uchar xDigit );
void LCD_SEG_TO_RAM(void);
uchar Get_Table(uchar num);
void show_pressure(uchar x,ulong temp100);
void show_temperature(uchar x,ulong temp100);
void show_altitude (uchar x,ulong temp100);
void show_th02Temperature(uchar x,ulong temp100);
void show_th02Humidity(uchar x,ulong temp100);
void show_hoperf(void);
void show_th04(void);
void show_th02(void);
void show_th01(void);
void show_hp203b(void);
void show_hp206c(void);
void show_Sx(uchar Sx);
void show_CHx(uchar CHx);
void show_ALT_ABS_REL(void);
void show_auto_off(uchar AutoCNT);
show_autoturnoff(uchar AutoMin);
void show_cyc(uchar CYCCNT);
void show_PC(void);
void show_usb_on(void);
void show_osr(uint setosr);
void show_auto_ch(void);
void Hex_to_Dec(ulong hexinput);
void Mask_Digit(ulong hexdigi);
uchar gswitch(uchar num);
void show_ver(void);

void LCD_OFF(void);
void LCD_init(void);

//TH02 s5
void TH02_ReadDeviceId(void);
void TH02_ReadRDY(void);
void TH02_ReadTempStart(void);
void TH02_ReadHumiStart(void);

//th04 s5
void TH04_Start_CM(void);
void TH04_Start_NOM(void);
void TH04_ReadDeviceId(void);
void TH04_ReadTempHumi(void);


//hp20x CH1,2,3,4
void HP20X_CH1_WriteCmd(uchar uCmd);
void HP20X_CH1_WriteCmd_ID2(uchar uCmd);
ulong HP20X_CH1_ReadData(void);
ulong HP20X_CH1_ReadData3byte(void);
void HP20X_CH1_WriteReg(uchar bReg,uchar bData);
uchar HP20X_CH1_ReadReg(uchar bReg);
void HP20X_CH1_WriteReg_ID2(uchar bReg,uchar bData);
uchar HP20X_CH1_ReadReg_ID2(uchar bReg);
void CH1_ReadTemperature(void);
void CH1_ReadPressure(void);
void CH1_ReadAltitude(void);
void CH1_ReadPressureAndTemperature(void);
void CH1_ReadAltitudeAndTemperature(void);

void HP20X_CH2_WriteCmd(uchar uCmd);
ulong HP20X_CH2_ReadData(void);
ulong HP20X_CH2_ReadData3byte(void);
void HP20X_CH2_WriteReg(uchar bReg,uchar bData);
uchar HP20X_CH2_ReadReg(uchar bReg);
void CH2_ReadTemperature(void);
void CH2_ReadPressure(void);
void CH2_ReadAltitude(void);
void CH2_ReadPressureAndTemperature(void);
void CH2_ReadAltitudeAndTemperature(void);

void HP20X_CH3_WriteCmd(uchar uCmd);
ulong HP20X_CH3_ReadData(void);
ulong HP20X_CH3_ReadData3byte(void);
void HP20X_CH3_WriteReg(uchar bReg,uchar bData);
uchar HP20X_CH3_ReadReg(uchar bReg);
void CH3_ReadTemperature(void);
void CH3_ReadPressure(void);
void CH3_ReadAltitude(void);
void CH3_ReadPressureAndTemperature(void);
void CH3_ReadAltitudeAndTemperature(void);

void Save_CH1AltitudeBuf(void);
void Save_CH2AltitudeBuf(void);
void Save_CH3AltitudeBuf(void);
void Save_CH1PressureBuf(void);
void Save_CH2PressureBuf(void);
void Save_CH3PressureBuf(void);

void HP20X_S4_WriteCmd(uchar uCmd);
ulong HP20X_S4_ReadData(void);
ulong HP20X_S4_ReadData3byte(void);
void HP20X_S4_WriteReg(uchar bReg,uchar bData);
uchar HP20X_S4_ReadReg(uchar bReg);
void S4_ReadTemperature(void);
void S4_ReadPressure(void);
void S4_ReadAltitude(void);
void S4_ReadPressureAndTemperature(void);
void S4_ReadPressureAndTemperature(void);
void S4_ReadAltitudeAndTemperature(void);

void CH1_Start(void);
void CH1_Stop(void);
void CH1_ACK(void);
void CH1_NoAck(void);
uchar CH1_ReadByte(void);
void CH1_WriteByte( uchar ucData );

void CH2_Start(void);
void CH2_Stop(void);
void CH2_ACK(void);
void CH2_NoAck(void);
uchar CH2_ReadByte(void);
void CH2_WriteByte( uchar ucData );

void CH3_Start(void);
void CH3_Stop(void);
void CH3_ACK(void);
void CH3_NoAck(void);
uchar CH3_ReadByte(void);
void CH3_WriteByte( uchar ucData );

//void S4_Start(void);
//void S4_Stop(void);
//void S4_ACK(void);
//void S4_NoAck(void);
//uchar S4_ReadByte(void);
//void S4_WriteByte( uchar ucData );
//
void TH_Start(void);
void TH_Stop(void);
void TH_ACK(void);
void TH_NoAck(void);
uchar TH_ReadByte(void);
void TH_WriteByte( uchar ucData );

//uart
void input_data(void);
void output_sx(uchar outletter,uchar outsx);
void print_sensor_note(void);
void output_chx(uchar outchx);
void output_p(void);
void output_a(void);
void output_t(void);
void output_RH(void);

void KEY_SCAN(void);
void UnitOff(void);
void UnitOn(void);







