//-----------------------------------------------SCK
//#define VERSION			100

#define CH1_CSB 			LATA0	//RA0
#define LCD_CSB			LATA1	//RA1
#define LCD_CD0			LATA2	//RA2
#define LCD_CKB			LATA3	//RA3
#define TH_SCL 			LATA4	//RA4
#define TH_SDA 			RA5

#define CH1_CSB_O		TRISA0=0
#define LCD_CSB_O		TRISA1=0
#define LCD_CD0_O		TRISA2=0
#define LCD_CKB_O		TRISA3=0
#define	TH_SCL_O 		TRISA4=0
#define TH_SDA_O 		TRISA5=0	
#define TH_SDA_I		TRISA5=1

#define CH3_INT1			RB0
#define CH2_INT1			RB1	
#define RFM_INT1			RB2
#define KEY_IN				RB3
#define CH1_INT1			RB4
#define CH1_INT0			RB5

#define CH3_INT1_I		TRISB0=1
#define CH2_INT1_I		TRISB1=1
#define RFM_INT1_I		TRISB2=1
#define KEY_IN_I		TRISB3=1
#define CH1_INT1_I		TRISB4=1
#define CH1_INT0_I		TRISB5=1

//RC0	SOSCO/T1CKI(32.768KHZ)			
//RC1	SOSCI (32.768KHZ
#define CH1_SCL			LATC3 //LATC2	//RC2
#define CH1_SDA			RC4 //RC3
#define RFM_SDA			RC4
#define LOWBAT_DET		RC5	//AN17
//RC6	TX(UART)			USB
//RC7	RX(UART)			USB

#define CH1_SCL_O		TRISC3=0 //TRISC2=0
#define CH1_SDA_I		TRISC4=1 //TRISC3=1
#define CH1_SDA_O		TRISC4=0 //TRISC3=0
#define RFM_SDA_I		TRISC4=1
#define RFM_SDA_O		TRISC4=0
#define LOWBAT_DET_I		TRISC5=1

#define	LED			LATD0	//RD0
#define	EE_SDA 			RD1
#define	EE_SCL 			LATD2	//RD2
#define	RFM_SCL 			LATD3	//RD3
#define	CH3_SCL 			LATD4	//RD4
#define	CH3_SDA 			RD5
#define	CH2_SCL 			LATD6	//RD6
#define	CH2_SDA          	RD7

#define LED_O			TRISD0=0
#define EE_SDA_O		TRISD1=0
#define EE_SDA_I		TRISD1=1
#define EE_SCL_O		TRISD2=0
#define RFM_SCL_O		TRISD3=0
#define CH3_SCL_O		TRISD4=0
#define CH3_SDA_O		TRISD5=0
#define CH3_SDA_I		TRISD5=1
#define CH2_SCL_O		TRISD6=0
#define CH2_SDA_O		TRISD7=0
#define CH2_SDA_I		TRISD7=1
        
#define KEY_OUT0		LATE0	//RE0
#define KEY_OUT1		LATE1	//RE1	
#define KEY_OUT2		LATE2	//RE2
//RE3 /MCLR

#define KEY_OUT0_O		TRISE0=0
#define KEY_OUT1_O		TRISE1=0
#define KEY_OUT2_O		TRISE2=0        
        
        
#define true    1
#define false   0

//HP20X INCLUDED:HP203B,HP206C,HP209F
//HP20X REGISTER AND COMMAND
#define HP20X_I2C_DEV_ID       0xEC//CSB PIN is VDD level(address is 0x76)
#define HP20X_I2C_DEV_ID2      0XEE //CSB PIN is GND level(address is 0x77)
#define HP20X_SOFT_RST         0x06
#define HP20X_WR_CONVERT_CMD   0x40
#define HP20X_CONVERT_OSR4096  0<<2
#define HP20X_CONVERT_OSR2048  1<<2
#define HP20X_CONVERT_OSR1024  2<<2
#define HP20X_CONVERT_OSR512   3<<2
#define HP20X_CONVERT_OSR256   4<<2
#define HP20X_CONVERT_OSR128   5<<2

//#define HP20X_ADC_CVT         (HP20X_WR_CONVERT_CMD|HP20X_CONVERT_OSR1024)//;(HP20X_WR_CONVERT_CMD|0x10)


#define HP20X_READ_P           0x30  //read_p command
#define HP20X_READ_A           0x31  //read_a command
#define HP20X_READ_T           0x32  //read_t command
#define HP20X_READ_PT          0x10  //read_pt command
#define HP20X_READ_AT          0x11  //read_at command
#define HP20X_READ_CAL		0X28	//RE-CAL ANALOG

#define HP20X_WR_REG_MODE     0xC0
#define HP20X_RD_REG_MODE     0x80

#define ERR_WR_DEVID_NACK       0x01    
#define ERR_RD_DEVID_NACK       0x02    
#define ERR_WR_REGADD_NACK      0x04   
#define ERR_WR_REGCMD_NACK      0x08   
#define ERR_WR_DATA_NACK        0x10     
#define ERR_RD_DATA_MISMATCH    0x20 

#define I2C_DID_WR_MASK         0xFE
#define I2C_DID_RD_MASK         0x01

#define T_WIN_EN                0X01
#define PA_WIN_EN               0X02
#define T_TRAV_EN               0X04
#define PA_TRAV_EN              0X08
#define PA_RDY_EN               0X20
#define T_RDY_EN                0X10

#define T_WIN_CFG               0X01
#define PA_WIN_CFG              0X02
#define PA_MODE_P               0X00
#define PA_MODE_A               0X40

#define T_TRAV_CFG              0X04

//HP0X INCLUDED:HP03S,HP03M,HP02S,HP01S
//HP0X 

//th04
#define Device_Addr	0x50	//0x28<<1
#define Start_CM	0xA0
#define Start_NOM	0X80
#define DF_CMD  	0x51	//=Device_Addr|read
#define MF_CMD  	0x50	//=Device_Addr|write
//



#define Mode_Key		0X06
#define Unit_Key		0X0a
#define Sel_Key			0X0c
#define MASK_KEY		0X08
#define None_Key		0X00

#define char_0			0X77
#define char_1			0X24
#define char_2			0X5D
#define char_3			0X6D
#define char_4			0X2E
#define char_5			0X6B
#define char_6			0X7B
#define char_7			0X25
#define char_8			0X7F
#define char_9			0X6F
#define char_A			0X3F
#define char_b			0X7A
#define char_C			0X53
#define char_d			0X7C
#define char_E			0X5B
#define char_F			0X1B
#define char_H			0X3E
#define char_L			0X52
#define char_bar		0X08
#define char_sp			0X00
#define char_t			0X5A
#define char_h			0X3A
#define char_c			0x58
#define char_r			0x18
#define char_y			0x6e
#define char_U			0x76
#define char_o			0x78
#define char_n			0x38
#define char_u			0x70
#define char_P			0x1f			

// 0DCEGBFA  char 	N0. 	HEX
// 01110111  0		0	0X77				
// 00100100  1		1	0X24
// 01011101  2		2	0X5D
// 01101101  3		3	0X6D
// 00101110  4		4	0X2E
// 01101011  5		5	0X6B
// 01111011  6		6	0X7B
// 00100101  7		7	0X25
// 01111111  8		8	0X7F
// 01101111  9		9	0X6F
// 00111111  A		10	0X3F
// 01111010  b		11	0X7A
// 01010011  C		12	0X53
// 01111100  d		13	0X7C
// 01011011  E		14	0X5B
// 00011011  F		15	0X1B
// 00111110  H		16	0X3E
// 01010010  L		17	0X52
// 00001000  -		18	0X08
// 00000000  BANK	19	0X00
// 01011010  t          20	0X5A
// 00111010  h          21      0X3A
// 01011000  c		22      0x58
// 00011000  r		23      0x18
// 01101110  y		24	0x6e
// 01110110  U		25	0x76
// 01111000  o		26	0x78
// 00111000  n		27	0x38
// 01110000  u      28  0x70
// 00011111  P      29  0x1f



#define _char_0			0	
#define _char_1			1	
#define _char_2			2	
#define _char_3			3	
#define _char_4			4	
#define _char_5			5	
#define _char_6			6	
#define _char_7			7	
#define _char_8			8	
#define _char_9			9	
#define _char_A			10	
#define _char_b			11	
#define _char_C			12	
#define _char_d			13	
#define _char_E			14	
#define _char_F			15	
#define _char_H			16	
#define _char_L			17	
#define _char_bar		18	
#define _char_sp		19	
#define _char_t			20	
#define _char_h			21
#define _char_c			22 
#define _char_r			23
#define _char_y			24
#define _char_U			25
#define _char_o			26  
#define _char_n			27 
#define _char_S			_char_5  
#define _char_u			28
#define _char_P			29     
#define _char_O			_char_0           
                
//rom data      
const static uchar  row_table[]={0x01,0x02,0x04,0x08,0x10,0x20,0x40,0x80};
const static uchar  char_table[]={
	char_0,char_1,char_2,char_3,char_4,char_5,char_6,char_7,char_8,char_9,
	char_A,char_b,char_C,char_d,char_E,char_F,char_H,char_L,char_bar,char_sp,
	char_t,char_h,char_c,char_r,char_y,char_U,char_o,char_n,char_u,char_P};


		